/* 
 * ========================================================================
 * 
 * Copyright 2005 Vincent Massol.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * ========================================================================
 */
package org.codehaus.cargo.module.webapp.weblogic;

import java.io.IOException;
import java.io.InputStream;

import org.codehaus.cargo.module.AbstractDescriptorIo;
import org.jdom.JDOMException;

/**
 * Provides convenience methods for reading Weblogic web deployment descriptor.
 * 
 * @version $Id: WeblogicXmlIo.java 1705 2008-09-02 13:14:55Z adriana $
 */
public class WeblogicXmlIo extends AbstractDescriptorIo
{
  
    /**
     * Constructor.
     */
    protected WeblogicXmlIo()
    {
        super(WeblogicXmlType.getInstance());    
    }
  
    /**
     * Parses a deployment descriptor provided as input stream.
     * 
     * @param input The input stream
     * @return The parsed descriptor
     * @throws JDOMException If the input could not be parsed
     * @throws IOException If an I/O error occurs      
     */
    public static WeblogicXml parseWeblogicXml(InputStream input)
        throws IOException, JDOMException
    {
        WeblogicXmlIo io = new WeblogicXmlIo();
        return (WeblogicXml) io.parseXml(input);  
    }

}
